Garmin Communicator Is No Longer Supported on Google Chrome

By | March 5, 2015

Garmin Communicator PluginI built a brand new PC the other day (I’ll include details in another post) and installed a handful of my must-have applications (yet another post!). My favorite browser continues to be Google Chrome. It seems like a lot of people have been complaining about it recently, but it continues to provide the speed, functionality, and extensions that get the job done for me. I always end up installing Opera (and now Vivaldi) and Firefox, and Internet Explorer is installed whether I want it or not. I give all of these browsers a chance time after time. I always come back to Chrome.

It seemed like just a short time ago, the Garmin Communicator plugin was not compatible with Chrome. Then it was compatible  (I can’t remember the version when it started working), but it appears to be dead for good.

For those who don’t know, Garmin Communicator is a browser add-on that transfers data between your Garmin GPS device and your computer. The current version is 4.20, and most of the version can be obtained in the downloads section of this site.

Okay, so I built my PC and installed Chrome. I then wanted to upload a bike ride from my Garmin Edge 1000 cycling computer to Strava. Typically I now use Garmin Express software to keep my workouts synced between the Edge 1000 and Garmin Connect. Then, Garmin Connect and Strava keep each other synced. The ride that I wanted to upload had never been synced, so I was going to let Strava upload the workout for me via the Garmin Communicator plugin. In Strava I went to the Upload Activity menu, then I clicked on the Upload directly from your device using the Garmin Communicator Plug-in link:

2015-03-05_8-31-32

That link reminded me that I still had not installed the Garmin Communicator  plugin on my newly-built PC. No problem! Let’s click the Install the Garmin Communicator plugin link and get it!

strava

Uh oh…

garmin2

Apparently, Google has been phasing out support for the Netscape Plug-in API (NPAPI) for over a year now, and I am assuming that the Communicator plugin is built upon that API. It looks like Garmin would have to rewrite Communicator using newer APIs to get Chrome compatibility back.

Garmin Express works great for syncing and keeping my GPS firmware and maps up to date. It looks like if I have any other old rides left on my Edge, I will be using Internet Explorer to do the job.

Leave a Reply

Your email address will not be published. Required fields are marked *